### 5.1.118 prime

`Syntax:`
  `prime (` int_expression `)`
`Type:`
  int
`Purpose:`
  returns the largest prime less than or equal to the argument; returns 2 for all arguments smaller than 3.
`Example:`

        prime(320000);
      ==> 319993
        prime(32004);
      ==> 32003
        prime(0);
      ==> 2
        prime(-1);
      ==> 2

See general_lib; int.

User manual for Singular version 4.4.1, 2025, generated by texi2html.